<?php

/**
 * Carerix Wordpress Plugin
 *
 * @category settings
 * @author Bogdan Ivanov
 * @copyright Copyright (c) 2013 Carerix.com (http://www.carerix.com)
 * @link http://www.carerix.com
 * @since Aug 29, 2013 9:29:42 AM
 * @version $Rev$
 */

/**
 * Job class
 * Used to ....
 */
class Entity_Writer_Newsletter extends Entity_Writer {
	
	protected $type = WP_Constants::ENTITY_TYPE_NEWSLETTER;
	
	public function getContent()
	{
		$contentSections = array('location', 'description');
		
		$content = '';
		foreach($this->dataDictionary as $section => $value)
		{
			if(! in_array($section, $contentSections) )
			{
				continue;
			}
			
			$content .= "<h4 class='cx_h4'>$section</h4><p>$value</p> ";
		}
		return $content;
	}

	public function getTitle()
	{
		if(isset($this->dataDictionary['title']))
		{
			return $this->dataDictionary['title'];
		}
		
		return '';
	}
	
	public function getCorrespondentID()
	{
		if(isset($this->dataDictionary['guid']))
		{
			return $this->dataDictionary['guid'];
		}
		
		return false;
	}
	
	public function getPublishDate()
	{
		if(isset($this->dataDictionary['date']))
		{
			return $this->dataDictionary['date'];
		}
		
		return false;
	}

    public function getSlug() {
        return false;
    }
}